import request from '@/config/axios'

// 列表
export const getEnterpriseUserList = async (params) => {
  return await request.get({
    url: '/app-admin-api/menduner/system/user/page',
    params
  })
}

// 启用账户
export const systemUserEnable = async (ids) => {
  return await request.post({
    url: `/app-admin-api/menduner/system/user/enable?ids=${ids}`
  })
}

// 禁用账户
export const systemUserDisable = async (ids) => {
  return await request.post({
    url: `/app-admin-api/menduner/system/user/disable?ids=${ids}`
  })
}

// 绑定用户的岗位
export const systemUserBindingPost = async (id, postId) => {
  return await request.post({
    url: `/app-admin-api/menduner/system/user/bind/post?id=${id}&postId=${postId}`
  })
}